﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace BusyIndicatorTesting
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DispatcherTimer timer = new DispatcherTimer() { Interval = TimeSpan.FromSeconds(3.0) };
        BusyWindow window = new BusyWindow();

        public MainWindow()
        {
            InitializeComponent();
            timer.Tick+=timer_Tick;
        }
        void timer_Tick(object sender, EventArgs e)
        {
            timer.Stop();
            contentLoader.Content = "Content loaded";
            window.Close();
        }
       
        private void Load(object sender, RoutedEventArgs e)
        {
            window.Show();
            //timer.Start();

            //start load content, time unknown
            for (int i =0; i<10; i++)
            {
                //busy indicator in window  not animated
                System.Threading.Thread.Sleep(300);
            }
            contentLoader.Content = "Content loaded";
            window.Close();
        }
       
    }
}
